Subject: [Xml-sg-cmt] <contact> Fwd: AUTH48 [LB]: RFC 9147 <draft-ietf-tls-dtls13-43.txt> NOW AVAILABLE

From: Sandy Ginoza <[email-masked]>
Date: Tue, 4 Jan 2022 16:45:20 -0800

Hi all,

We received the following request from ekr to use <artwork> for the Contributors section.  Afaict, this is really only about the spacing in the Contributors section in the text file; the spacing in the HTML and PDF are ok.  I believe we frown upon using <artwork> for this purpose, but I wanted to verify before pushing back on this.  If we’re going to concede in the end, I’d rather do that up front.  

You can view the files here: 
https://www.rfc-editor.org/authors/rfc9147.xml <https://www.rfc-editor.org/authors/rfc9147.xml>
https://www.rfc-editor.org/authors/rfc9147.txt <https://www.rfc-editor.org/authors/rfc9147.txt>
https://www.rfc-editor.org/authors/rfc9147.html <https://www.rfc-editor.org/authors/rfc9147.html>
https://www.rfc-editor.org/authors/rfc9147.pdf <https://www.rfc-editor.org/authors/rfc9147.pdf>

Thanks,
Sandy 

> Begin forwarded message:
> 
> From: Eric Rescorla <[email-masked]>
> Subject: Re: AUTH48 [LB]: RFC 9147 <draft-ietf-tls-dtls13-43.txt> NOW AVAILABLE
> Date: January 4, 2022 at 10:36:26 AM PST
> To: Lynne Bartholomew <[email-masked]>
> Cc: Benjamin Kaduk <[email-masked]>, Hannes Tschofenig <[email-masked]>, "[email-masked]" <[email-masked]>, RFC System <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> 
> Regarding this item:  We are discussing this within the RPC, because our updates to the Contributors section of this document follow  xml2rfc v3 style.
> 
> > Can you please reformat the Contributors section to match
> > the corresponding section in RFC 8446, without a separate e-mail
> > line separated by space.
> 
> My suggestion would be to simply format this as artwork.

---

From: "John R Levine" <[email-masked]>
Date: 4 Jan 2022 20:04:10 -0500

> We received the following request from ekr to use <artwork> for the Contributors section.  Afaict, this is really only about the spacing in the Contributors section in the text file; the spacing in…

Sheesh.  There is a reason we use semantic coding like <contact> and 
<address>.

>> My suggestion would be to simply format this as artwork.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 4 Jan 2022 18:39:40 -0700

On 1/4/22 6:04 PM, John R Levine wrote:
>> We received the following request from ekr to use <artwork> for the 
>> Contributors section.  Afaict, this is really only about the spacing 
>> in the Contributors section in the text file; the spacing in the HTML 
>> and PDF are ok.  I believe we frown upon using <artwork> for this 
>> purpose, but I wanted to verify before pushing back on this.  If we’re 
>> going to concede in the end, I’d rather do that up front.
> 

Just curious: why does the extra space appear in the first place?

I'd prefer to avoid artwork here if possible. There's nothing very arty 
about contributors. ;-)

Peter

P.S. Chris Wood is no longer at Apple, perhaps his affiliation needs to 
be changed to Cloudflare.

---

From: Sandy Ginoza <[email-masked]>
Date: Tue, 4 Jan 2022 17:54:05 -0800

> On Jan 4, 2022, at 5:39 PM, Peter Saint-Andre <[email-masked]> wrote:
> 
>> Sheesh.  There is a reason we use semantic coding like <contact> and <address>.
> 

I believe it was intended to match the format of the Authors’ Addresses.  

> 
> I'd prefer to avoid artwork here if possible. There's nothing very arty about contributors. ;-)
> 
> Peter
> 
> P.S. Chris Wood is no longer at Apple, perhaps his affiliation needs to be changed to Cloudflare.

Thanks for the tip - Lynne, can you check this when we eventually reply to ekr? 

Thanks,
Sandy 

> 
> -- 
> Xml-sg-cmt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml-sg-cmt

---

From: "John R Levine" <[email-masked]>
Date: 4 Jan 2022 23:44:21 -0500

> Just curious: why does the extra space appear in the first place?

It's just a wart of the way the XML renders into text.  It looks fine in 
the HTML and PDF.

Regards,

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 5 Jan 2022 09:38:15 -0700

> It's just a wart of the way the XML renders into text.  It looks fine in 

If it really matters to an author, can this be adjusted by hand before 
publication? I don't like to suggest that, but I don't like using 
artwork for a list of contributors, either. ;-) Which would the RPC prefer?

Peter

---

From: "John R Levine" <[email-masked]>
Date: 5 Jan 2022 12:20:57 -0500

On Wed, 5 Jan 2022, Peter Saint-Andre wrote:
> publication?

Only by a hack like <artwork>, so no.

Remember that the txt is a non-canonical rendering of the XML.  If people 
desperately want less whitespace in the TXT rendering, I suppose we could 
open a ticket and ask for the rendering to squish the whitespace.  Or we 
could ask people to visit the 21st century and take a look at the HTML 
version.

I really do not have any interest in trying to replicate the formatting of 
decade old txt documents.

Regards,

---

From: Sandy Ginoza <[email-masked]>
Date: Wed, 5 Jan 2022 10:22:55 -0800

> On Jan 5, 2022, at 9:20 AM, John R Levine <[email-masked]> wrote:
> 
>>> It's just a wart of the way the XML renders into text.  It looks fine in the HTML and PDF.
>> 
>> If it really matters to an author, can this be adjusted by hand before publication?
> 

I would strongly prefer not to do any updates to the XML or output files after the prep tool has been run.  It would make it rerendering more difficult.  

> Remember that the txt is a non-canonical rendering of the XML.  If people desperately want less whitespace in the TXT rendering, I suppose we could open a ticket and ask for the rendering to squish the whitespace.  Or we could ask people to visit the 21st century and take a look at the HTML version.
> 
> I really do not have any interest in trying to replicate the formatting of decade old txt documents.

I don’t think a change is needed because this is the only complaint we’ve received about the spacing (that I am aware of).  
If this issue is wider and change is needed, I lean toward removing the space in the contributors and authors sections so it’s more consistent with the HTML and PDF.  

Thanks,
Sandy

---

From: Sandy Ginoza <[email-masked]>
Date: Fri, 7 Jan 2022 14:44:49 -0800

Hi again,

Just checking in on this, as we should reply to ekr regarding his request.  I'm inclined to pushback on this, but I’d like to make sure we agree as we will mention that we discussed the request with this group.

FYI: RFC 7322 <https://www.rfc-editor.org/rfc/rfc7322.html#section-4.11> includes the following which indicates that the format of the Contributors should match the Authors’ Addresses section:

   The Contributors section may include brief statements about the
   nature of particular contributions ("Sam contributed Section 3"), and
   it may also include affiliations of listed contributors.  At the
   discretion of the author(s), contact addresses may also be included
   in the Contributors section, for those contributors whose knowledge
   makes them useful future contacts for information about the RFC.  The
   format of any contact information should be similar to the format of
   information in the Author's Address section.

I don’t think ekr will like the indentation, but another option that avoids using <artwork> is to use <ul>.  You can see the example here (only the first entry has been updated): 

https://www.rfc-editor.org/v3test/sandy9147.txt
https://www.rfc-editor.org/v3test/sandy9147.html#name-contributors

I prefer the existing structure in RFC 9147 <https://www.rfc-editor.org/authors/rfc9147.txt> because it seem like more correct and common tagging, but I’m open. 

Thanks!
Sandy 

> On Jan 5, 2022, at 10:22 AM, Sandy Ginoza <[email-masked]> wrote:
> 
> 
>

---

From: "John R Levine" <[email-masked]>
Date: 7 Jan 2022 17:46:45 -0500

I'm still with you, use the normal formatting.  If one of the renderings 
doesn't happen to match a TXT RFC from several years ago, so be it.

R's,
John

Regards,

---

From: Sandy Ginoza <[email-masked]>
Date: Fri, 7 Jan 2022 15:32:24 -0800

Ack - thanks!

> On Jan 7, 2022, at 2:46 PM, John R Levine <[email-masked]> wrote:
> 
> I'm still with you, use the normal formatting.  If one of the renderings doesn't happen to match a TXT RFC from several years ago, so be it.
> 
> R's,
> John
>